Sharing
Deals sharing
Deals sharing in Prism / Objects / Deals — Micro Python reference.
Reference for Python SDK 0.8.0.
Release source · Setup and client configuration
update
PUT /v2/prism/{teamId}/deal/{dealId}/grant
client.prism.objects.deals.grant.update(deal_id, *, path_team_id, **params) -> GrantUpdateResponseUpdate grant
get
GET /v2/prism/{teamId}/deal/{dealId}/grant
client.prism.objects.deals.grant.get(deal_id, *, team_id) -> GrantGetResponseGet grant
Parameter and response types
These declarations show the request parameters and response shapes used by the methods above.
GrantUpdateParams
| Field | Type | Required | Description |
|---|---|---|---|
path_team_id | str | No | API name: teamId. |
team_group_id | Iterable[Dict[str, Literal["a", "r", "w"]]] | No | — |
body_team_id | Annotated[Dict[str, Literal["a", "r", "w"]], PropertyInfo(alias="team_id")] | No | API name: team_id. |
user_id | Iterable[Dict[str, Literal["a", "r", "w"]]] | No | — |
idempotency_key | str | No | API name: Idempotency-Key. |
GrantUpdateResponse
| Field | Type | Required | Description |
|---|---|---|---|
team_group_id | Optional[List[Dict[str, Literal["a", "r", "w"]]]] | No | — |
team_id | Optional[Dict[str, Literal["a", "r", "w"]]] | No | — |
user_id | Optional[List[Dict[str, Literal["a", "r", "w"]]]] | No | — |
GrantGetResponse
| Field | Type | Required | Description |
|---|---|---|---|
team_group_id | Optional[List[Dict[str, Literal["a", "r", "w"]]]] | No | — |
team_id | Optional[Dict[str, Literal["a", "r", "w"]]] | No | — |
user_id | Optional[List[Dict[str, Literal["a", "r", "w"]]]] | No | — |